@import "compass/reset";
@import "compass";
@import "timeline";
// Google font for logo
@import url("/static/spirit/css/ubuntu.css");

$green: #4bb199;
$yellow: #f6e76a;
$purple: #633b92;
$orange: #ec8b6d;
$black: #373a3c;
$white: #eee9dc;

.more_program {
  text-align: center;
  margin-bottom: 2em;
  margin-top: 3em;
  a {
    font-size: 1.5em;
    padding: 11px 20px;
    border: 3px solid $white;
    color: $white;
    text-decoration: none;
  }
}


body {
  line-height: 1.5em;
  margin: 0px;
  padding: 0px;
  width: auto;
  font-family: "Ubuntu";
  overflow-x: hidden;
  color: $black;
}

.little {
  height: 5vh !important;
}

.bigger {
  height: 15vh !important;
}

.hor-fix {
  transform: rotate(90deg);
  i {
    color: $black;
  }
  a {
    text-decoration: none;
  }
}

@-webkit-keyframes badbounce {
  0%, 100% {
    -webkit-transform: translateY(0px);
  }
  10% {
    -webkit-transform: translateY(6px);
  }
  30% {
    -webkit-transform: translateY(-4px);
  }
  70% {
    -webkit-transform: translateY(3px);
  }
  90% {
    -webkit-transform: translateY(-2px);
  }
}

@-moz-keyframes badbounce {
  0%, 100% {
    -moz-transform: translateY(0px);
  }
  10% {
    -moz-transform: translateY(6px);
  }
  30% {
    -moz-transform: translateY(-4px);
  }
  70% {
    -moz-transform: translateY(3px);
  }
  90% {
    -moz-transform: translateY(-2px);
  }
}

@keyframes badbounce {
  0%, 100% {
    -webkit-transform: translateY(0px);
    -moz-transform: translateY(0px);
    -ms-transform: translateY(0px);
    -o-transform: translateY(0px);
    transform: translateY(0px);
  }
  10% {
    -webkit-transform: translateY(6px);
    -moz-transform: translateY(6px);
    -ms-transform: translateY(6px);
    -o-transform: translateY(6px);
    transform: translateY(6px);
  }
  30% {
    -webkit-transform: translateY(-4px);
    -moz-transform: translateY(-4px);
    -ms-transform: translateY(-4px);
    -o-transform: translateY(-4px);
    transform: translateY(-4px);
  }
  70% {
    -webkit-transform: translateY(3px);
    -moz-transform: translateY(3px);
    -ms-transform: translateY(3px);
    -o-transform: translateY(3px);
    transform: translateY(3px);
  }
  90% {
    -webkit-transform: translateY(-2px);
    -moz-transform: translateY(-2px);
    -ms-transform: translateY(-2px);
    -o-transform: translateY(-2px);
    transform: translateY(-2px);
  }
}

.ss_animate {
  -webkit-animation: badbounce 1s linear;
  -moz-animation: badbounce 1s linear;
  animation: badbounce 1s linear;
}

#ss_menu {
  top: 10px;
  right: 20px;
  width: 60px;
  height: 60px;
  z-index: 1000;
  color: $black;
  position: fixed;
  -webkit-transition: all 1s ease;
  -moz-transition: all 1s ease;
  transition: all 1s ease;
  -webkit-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  -o-transform: rotate(180deg);
  transform: rotate(180deg);
}

#ss_menu > .menu {
  display: block;
  position: absolute;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  text-align: center;
  color: #fff;
  -webkit-transition: all 1s ease;
  -moz-transition: all 1s ease;
  transition: all 1s ease;
}

#ss_menu > .menu .share {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0px;
  top: 0px;
  -webkit-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  -o-transform: rotate(180deg);
  transform: rotate(180deg);
  -webkit-transition: all 1s ease;
  -moz-transition: all 1s ease;
  transition: all 1s ease;
}

#ss_menu > .menu .share .circle_menu {
  -webkit-transition: all 1s ease;
  -moz-transition: all 1s ease;
  transition: all 1s ease;
  position: absolute;
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background: $black;
  top: 50%;
  margin-top: -6px;
  left: 12px;
  opacity: 1;
}

#ss_menu > .menu .share .circle_menu:after, #ss_menu > .menu .share .circle_menu:before {
  -webkit-transition: all 1s ease;
  -moz-transition: all 1s ease;
  transition: all 1s ease;
  content: '';
  opacity: 1;
  display: block;
  position: absolute;
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background: $black;
}

#ss_menu > .menu .share .circle_menu:after {
  left: 20.78461px;
  top: 12.0px;
}

#ss_menu > .menu .share .circle_menu:before {
  left: 20.78461px;
  top: -12.0px;
}

.bar:before {
  background: $black;
}

#ss_menu > .menu .share .bar {
  -webkit-transition: all 1s ease;
  -moz-transition: all 1s ease;
  transition: all 1s ease;
  width: 24px;
  height: 3px;
  background: $black;
  position: absolute;
  top: 50%;
  margin-top: -1.5px;
  left: 18px;
  -webkit-transform-origin: 0% 50%;
  -moz-transform-origin: 0% 50%;
  -ms-transform-origin: 0% 50%;
  -o-transform-origin: 0% 50%;
  transform-origin: 0% 50%;
  -webkit-transform: rotate(30deg);
  -moz-transform: rotate(30deg);
  -ms-transform: rotate(30deg);
  -o-transform: rotate(30deg);
  transform: rotate(30deg);
}

#ss_menu > .menu .share .bar:before {
  -webkit-transition: all 1s ease;
  -moz-transition: all 1s ease;
  transition: all 1s ease;
  content: '';
  width: 24px;
  height: 3px;
  background: $black;
  position: absolute;
  left: 0px;
  -webkit-transform-origin: 0% 50%;
  -moz-transform-origin: 0% 50%;
  -ms-transform-origin: 0% 50%;
  -o-transform-origin: 0% 50%;
  transform-origin: 0% 50%;
  -webkit-transform: rotate(-60deg);
  -moz-transform: rotate(-60deg);
  -ms-transform: rotate(-60deg);
  -o-transform: rotate(-60deg);
  transform: rotate(-60deg);
}

#ss_menu > .menu .share.close .circle_menu {
  opacity: 0;
}

#ss_menu > .menu .share.close .bar {
  top: 50%;
  margin-top: -1.5px;
  left: 50%;
  margin-left: -12px;
  -webkit-transform-origin: 50% 50%;
  -moz-transform-origin: 50% 50%;
  -ms-transform-origin: 50% 50%;
  -o-transform-origin: 50% 50%;
  transform-origin: 50% 50%;
  -webkit-transform: rotate(405deg);
  -moz-transform: rotate(405deg);
  -ms-transform: rotate(405deg);
  -o-transform: rotate(405deg);
  transform: rotate(405deg);
}

#ss_menu > .menu .share.close .bar:before {
  -webkit-transform-origin: 50% 50%;
  -moz-transform-origin: 50% 50%;
  -ms-transform-origin: 50% 50%;
  -o-transform-origin: 50% 50%;
  transform-origin: 50% 50%;
  -webkit-transform: rotate(-450deg);
  -moz-transform: rotate(-450deg);
  -ms-transform: rotate(-450deg);
  -o-transform: rotate(-450deg);
  transform: rotate(-450deg);
}

#ss_menu > .menu.ss_active {
  -webkit-transform: scale(0.7);
  -moz-transform: scale(0.7);
  -ms-transform: scale(0.7);
  -o-transform: scale(0.7);
  transform: scale(0.7);
}

#ss_menu > div {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  position: absolute;
  width: 60px;
  height: 60px;
  font-size: 30px;
  text-align: center;
  border-radius: 50%;
  display: table;
}

#ss_menu > div i {
  display: table-cell;
  vertical-align: middle;
}

#ss_menu > div:hover {
  cursor: pointer;
}

#ss_menu div:nth-child(1) {
  top: 0px;
  left: -160px;
}

#ss_menu div:nth-child(2) {
  top: -80.0px;
  left: -138.56406px;
}

#ss_menu div:nth-child(3) {
  top: -138.56406px;
  left: -80.0px;
}

#ss_menu div:nth-child(4) {
  top: -160px;
  left: 0.0px;
}

#logo_little {
  height: 83px;
  float: right;
  margin-right: 15px;
}

.take_part_wrapper {
  position: absolute;
  right: 0;
  left: 0;
  text-align: center;

  a {
    padding: 10px 30px;
    background: $yellow;
    font-size: 32px;
    color: $black;
    text-decoration: none;
  }
}

#up, #down {
  width: 100%;
  height: auto;
  overflow: hidden;
}

#up {
  transform: rotate(180deg);
  position: absolute;
  top: 0;
  z-index: -1;
}

#down {
  position: absolute;
  bottom: 0;
}

#header {
  width: 100%;
  height: 100vh;
  position: relative;
}

#map_text {
  font-size: 1.3em;
}

.after_drawing {
  display: none;
}


#text_near_logo {
  position: absolute;
  display: none;
  right: 0;
  left: 50%;
  height: 30vh;

  table {
    width: 100%;
    height: 100%;
  }

  h2 {
    padding-top: 20px;
    margin-left: 0px;
    font-size: 30px;
    font-weight: lighter;
    letter-spacing: 2px;
  }
}

#header_logo_wrapper {
  position: absolute;
  left: 0;
  right: 0;
  top: 30vh;
  height: 40vh;
}

#logo {
  width: auto;
  height: 40vh;
  display: none;
  margin: auto;
}

#if_you {
  width: 100%;
  position: relative;
  background: $purple;
  z-index: 4;
  h2 {
    text-align: left;
    padding-top: 0;
    margin-bottom: 20px;
    font-size: 26px;
  }

  p {
    font-size: 16px;
  }
}

.left, .right {
  width: 42%;
  padding: 4%;
  min-height: 200px;
  color: $white;
  display: block;
  p {
    padding-top: 10px;
  }
  z-index: 3;
}

.left_helper {
  float: right;
  width: 5%;
}

.left {
  float: right;
}

.whitespace {
  width: 100%;
  height: 10vh;
}

.title {
  font-size: 32px;
  text-align: center;
  font-weight: bold;
}

#programm {
  margin: 0;
  color: $white;
  background: $green;
  padding-left: 10%;
  padding-right: 10%;
}

.texts {
  padding-top: 10em;
  padding-bottom: 10em;
}

.texts p {
  z-index: 11;
  min-width: 140px;
  float: left;
  text-align: center;
  position: relative;
  font-size: 18px;
  color: $black;
}

#proto {
  z-index: 10;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

#fourth_step,
#second_step,
#third_step {
  color: $white;
}

.how-to-take_part {
  position: relative;
}

#wave_canvas {
  z-index: -1;
  position: absolute;
  top: 0;
  left: 0;
}

#c1_t, #c2_t, #c3_t {
  position: absolute;
  font-size: 30px;
}

.time_table {
  width: 100%;
  min-height: 370px;
  position: relative;

  p{
    padding-bottom: 130px;
    text-align: center;
    font-size: 2.1em;
  }
}

.clock {
  width: 33%;
  height: 30vh;
  min-height: 350px;
  float: left;
  position: relative;
  h2 {
    text-align: center;
    font-size: 30px;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    top: 260px;
  }
}

#clocks_svg {
  height: 280px;
  width: 100%;
  z-index: -10;
  position: absolute;
  top: 0;
  left: 0;
}

#clocks_svg g {
  transition: all .3s ease;
  width: 100px;
  height: 100px;
  display: block;
  position: absolute;
  left: 50%;
  top: 50%;
  margin: auto;
  cursor: pointer;
}

.green-line {
  width: 100%;
  height: 2px;
  background: $green;
}

#prepi {
  height: calc(200px + 40px + 2vh + 4vh + 5em + 20vh + 57px + 10vh);
  width: 100%;
  background: $yellow;

  h2 {
    color: $black;
  }
}

#house {
  position: fixed;
  z-index: 10000;
  top: 18px;
  left: 25px;
  height: 42px;
  width: 40px;
}

.partner {
  height: 100px;
  padding: 15px;
  position: relative;
  display: block;
  text-align: center;

  table,
  td {
    height: 150px;
    margin: 0 auto;
    text-align: center;
  }

  img {
    max-width: 70%;
    max-height: 70%;
    vertical-align: middle;
  }

}


#programm-description{
  margin-top: 46px;
  margin-bottom: 46px;
}

#map {
  position: relative;
  height: 400px;

  iframe {
    width: 100%;
    min-height: 400px;
    border: none;
    position: absolute;
  }
}

#partners_table {
  width: 100vw;
}

.col-md-3 {
  width: 25%;
  float: left;
  padding: 0;
}

.col-md-2 {
  width: 16%;
  float: left;
  padding: 0;
}

.col-md-4 {
  float: left;
  width: 33%;
  padding: 0;
}

.footer-inside {
  width: 900px;
  display: block;
  margin: 0 auto;
  height: 120px;
  padding-top: 10px;
}

.description p {
  font-size: 11px;
  line-height: 18px;
  padding-top: 5px;
  color: $black;
}

.contacts {
  text-align: right;
  p {
    padding-top: 7px;
    padding-bottom: 4px;
  }
  a {
    color: $orange;
    font-size: 16px;
    text-decoration: none;
  }
  h4 {
    font-size: 24px;
    font-weight: 500;
  }
}

.big-partner img {
  max-width: 160px;
  max-height: 35px;
}

.little-partner img {
  max-width: 90%;
  max-height: 90%;

}

#clicker, #first_step {
  cursor: pointer;
}

.what_to_do {
  height: calc((17px * 5) + 100px);
}

.special {
  float: left;
  width: 6%;
  height: 50vh;
}

.halt {
  p {
    padding: 20px;
    font-size: 17px;
  }

  img {
    height: 50px;
    display: block;
    margin: 0 auto;
  }
}

#in_helper {
  position: absolute;
  left: calc(50% - 21px);
  bottom: 50px;
  cursor: pointer;
  z-index: 100;
  height: 23px;
}

.prep {
  width: 22%;
  height: 50vh;
  float: left;

  img {
    height: 100%;
    width: auto;
    margin: 0 auto;
    max-width: 200px;
    max-height: 200px;
    display: block;
    filter: url("data:image/svg+xml;utf8,&lt;svg xmlns=\'http://www.w3.org/2000/svg\'&gt;&lt;filter id=\'grayscale\'&gt;&lt;feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/&gt;&lt;/filter&gt;&lt;/svg&gt;#grayscale"); /* Firefox 10+, Firefox on Android */
    filter: gray; /* IE6-9 */
    -webkit-filter: grayscale(100%); /* Chrome 19+, Safari 6+, Safari 6+ iOS */
  }

  h2 {
    margin-top: 2vh;
    text-align: center;
    font-size: 26px;
    line-height: 40px;
  }

  p {
    padding-left: 2%;
    padding-right: 2%;
    padding-top: 2vh;
    padding-bottom: 2vh;
    line-height: 19px;
    color: $black;
  }
}

.mobile {
  display: none !important;
}

.mobile-header {
  padding-top: 50px;
  padding-bottom: 50px;
  h2 {
    text-align: center;
    font-size: 80px;
    line-height: 82px;
  }
}

@media screen and (max-width: 1000px) {
  #timeline {
    margin: auto;
    margin-top: 100px;
  }
  .radio:checked ~ .content {
    max-height: 10000px;
    font-size: 1.5em;
    line-height: 1.2em;
  }
  label {
    font-size: 2.4em;
  }
  .take_part_wrapper {
    a {
      padding: 29px 66px;
      font-size: 67px;
    }
  }
  #if_you {
    display: none;
  }
  .mobile {
    display: block !important;
  }

  .not-mobile {
    display: none !important;
  }
  body {
    width: 1050px;
  }

  #in_helper {
    display: none !important;
  }

  #header_logo_wrapper {
    top: 50px;
  }
  #header {
    min-height: 40vh;
    height: auto;
    padding-bottom: 50px;
  }

  #text_near_logo {
    height: auto;
  }

  .take_part_wrapper {
    position: inherit;
    margin-top: 50px;
    margin-bottom: 80px;
  }

  .right, .left {
    display: none;
  }
  .f1gt {
    background: $purple;
    color: white;
    padding-top: 40px;
    margin-top: 100px;
    padding-bottom: 110px;
    padding-left: 100px;
    padding-right: 100px;
    p {
      padding-left: 20px;
      padding-right: 20px;
    }

    h2 {
      text-align: center;
      margin-top: 30px;
      margin-bottom: 30px;
    }
  }

  .trywo1 {
    background: $orange;
    color: white;
    padding-top: 40px;
    padding-bottom: 110px;
    padding-left: 100px;
    padding-right: 100px;
    p {
      padding-left: 20px;
      padding-right: 20px;
    }

    h2 {
      text-align: center;
      margin-top: 30px;
      margin-bottom: 30px;
    }
  }

  .time_table {
    display: none;
  }

  .watches {
    svg {
      display: block;
      margin: 0 auto;
      padding-top: 100px;
      padding-bottom: 50px;
      width: 50%;
      height: auto;
    }
    h2 {
      text-align: center;
      margin-bottom: 50px;
      font-size: 3em;
    }
  }

  #clock3_pic_title {
    margin-bottom: 150px;
  }

  .prep {
    width: 100%;
    float: none;
    height: auto;
    margin-top: 50px;

    h2 {
      font-size: 3em;
    }
    p {
      line-height: normal;
      font-size: 2em;
      padding: 50px;
    }

    img {
      max-width: none;
      max-height: none;
      width: 60%;
    }
  }

  .texts {
    padding-top: 400px;
    padding-bottom: 0;
    p {
      font-size: 2em;
      line-height: 50px;
      float: none;
      padding-bottom: 500px;
    }
  }

  .footer {
    text-align: center;

    h4 {
      font-size: 4em;
      padding-bottom: 1em;
    }
    a {
      font-size: 3em;
      padding-top: 1em;
      color: $orange;
    }
  }

  .radio:checked ~ .content p {
    max-height: 10000px;
  }

  .special {
    display: none;
  }
  #prepi {
    height: auto;
  }

  .col-md-3 {
    width: 100%;
    float: none;
    padding-bottom: 100px;
  }

  .halt {
    p {
      padding-right: 100px;
      padding-left: 100px;
      font-size: 1.7em;
      line-height: 1.5em;
    }
    img {
      height: auto;
    }
  }

  .what_to_do {
    height: auto;
  }

  .title {
    font-size: 3em;
  }
  #croto {
    margin-top: 150px;
    font-size: 4em;
    margin-bottom: 50px;
  }
}
